
package de.ivu.elect.presentation.dokumente;

import java.io.Serializable;
import java.util.List;

/**
 * Die Implementierung sollten Conversation-Scoped sein
 */
public interface ProgressView extends Serializable {

  void cancelProgress();

  List<String> getProgressMessages();

  void poll();

  int getProgressBar();

  boolean isModalDialogProgressVisible();

  boolean isGenerierungLaeuft(); // isInProgress

  boolean isBtnCancelRendered(); // ELECT-5276
}
